Skip to main content
GET
/
v1
/
via
/
mandates
/
{mandateId}
Get Mandate
curl --request GET \
  --url https://api.example.com/v1/via/mandates/{mandateId} \
  --header 'Authorization: Bearer <token>'
{
  "mandate_id": "mdt_abc123xyz",
  "user_id": "usr_abc123",
  "scope": "payments.hotel",
  "constraints": {
    "financial": {
      "maxAmountPerTransaction": 500
    }
  },
  "authorized_agents": [
    {
      "agentDid": "did:key:z6Mk...",
      "agentName": "Travel Assistant",
      "capabilities": [
        "payments",
        "bookings"
      ],
      "status": "active"
    }
  ],
  "valid_from": "2025-11-17T00:00:00Z",
  "valid_until": "2026-11-17T00:00:00Z",
  "kyc_required": false,
  "status": "active",
  "created_at": "2025-11-17T00:00:00Z",
  "approval_policy": {},
  "updated_at": "2025-11-17T00:00:00Z",
  "revoked_at": "2025-11-18T00:00:00Z",
  "revoked_reason": "User requested cancellation"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mandateId
string
required

Unique mandate identifier (format: mdt_)

Example:

"mdt_abc123xyz"

Response

Mandate retrieved successfully

mandate_id
string
required

Unique mandate identifier

Example:

"mdt_abc123xyz"

user_id
string
required

User ID who created the mandate

Example:

"usr_abc123"

scope
string
required

Mandate scope

Example:

"payments.hotel"

constraints
object
required

Mandate constraints

Example:
{
"financial": { "maxAmountPerTransaction": 500 }
}
authorized_agents
object
required

List of authorized agents

Example:
[
{
"agentDid": "did:key:z6Mk...",
"agentName": "Travel Assistant",
"capabilities": ["payments", "bookings"],
"status": "active"
}
]
valid_from
string
required

Valid from timestamp

Example:

"2025-11-17T00:00:00Z"

valid_until
string
required

Valid until timestamp

Example:

"2026-11-17T00:00:00Z"

kyc_required
boolean
required

Whether KYC is required

Example:

false

status
enum<string>
required

Mandate status

Available options:
active,
revoked,
expired
Example:

"active"

created_at
string
required

Creation timestamp

Example:

"2025-11-17T00:00:00Z"

approval_policy
object

Approval policy

updated_at
string

Last update timestamp

Example:

"2025-11-17T00:00:00Z"

revoked_at
string

Revocation timestamp

Example:

"2025-11-18T00:00:00Z"

revoked_reason
string

Revocation reason

Example:

"User requested cancellation"